minimal_elements.h File Reference
`#include "groebner_defs.h"`
`#include "contained_variables.h"`
`#include <vector>`
`#include <algorithm>`

Go to the source code of this file.

## Namespaces

| polybori
| polybori::groebner

## Constant Groups

| polybori
| polybori::groebner

## Functions

MonomialSet | polybori::groebner::mod_mon_set (const MonomialSet &as, const MonomialSet &vs)
MonomialSet | polybori::groebner::mod_deg2_set (const MonomialSet &as, const MonomialSet &vs)
MonomialSet | polybori::groebner::mod_var_set (const MonomialSet &as, const MonomialSet &vs)
MonomialSet | polybori::groebner::minimal_elements_internal (const MonomialSet &s)
MonomialSet | polybori::groebner::minimal_elements_internal2 (MonomialSet s)
std::vector< Exponent > | polybori::groebner::minimal_elements_internal3 (MonomialSet s)
MonomialSet | polybori::groebner::minimal_elements (const MonomialSet &s)
MonomialSet | polybori::groebner::minimal_elements_cudd_style_unary (MonomialSet m)
MonomialSet | polybori::groebner::do_minimal_elements_cudd_style (MonomialSet m, MonomialSet mod)
MonomialSet | polybori::groebner::minimal_elements_cudd_style (MonomialSet m)
MonomialSet | polybori::groebner::minimal_elements_multiplied_monoms (MonomialSet m, Monomial lm)
std::vector< Monomial > | polybori::groebner::minimal_elements_multiplied (MonomialSet m, Monomial lm)
MonomialSet | polybori::groebner::minimal_elements_divided (MonomialSet m, Monomial lm, MonomialSet mod)
void | polybori::groebner::minimal_elements_divided (MonomialSet m, Monomial lm, MonomialSet mod, std::vector< Exponent > &result)

## Detailed Description

Author
  Michael Brickenstein

Date
  2011-06-30

This file includes the definition of the `minimal_elements` functions..

Copyright:
  (c) 2005-2011 by The PolyBoRi Team